---
lang: en
title: 'API docs: tsdocs.getpackageswithtsdocs'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.tsdocs.getpackageswithtsdocs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [getPackagesWithTsDocs](./tsdocs.getpackageswithtsdocs.md)

## getPackagesWithTsDocs() function

Get an array of lerna-managed TypeScript packages to generate tsdocs

<b>Signature:</b>

```typescript
export declare function getPackagesWithTsDocs(rootDir?: string): Promise<LernaPackage[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootDir | <code>string</code> | Root directory to find the monorepo |

<b>Returns:</b>

`Promise<LernaPackage[]>`


